org.bouncycastle.asn1.x509.sigi

## Interface SigIObjectIdentifiers

    public interface SigIObjectIdentifiers

Object Identifiers of SigI specifciation (German Signature Law Interoperability specification).

### Field Summary

Fields
`static DERObjectIdentifier` `id_sigi`
`static DERObjectIdentifier` `id_sigi_cp` Certificate policy IDs for German SigI (Signature Interoperability Specification)
`static DERObjectIdentifier` `id_sigi_cp_sigconform` Certificate is conform to german signature law.
`static DERObjectIdentifier` `id_sigi_kp` Key purpose IDs for German SigI (Signature Interoperability Specification)
`static DERObjectIdentifier` `id_sigi_kp_directoryService` To be used for for the generation of directory service certificates.
`static DERObjectIdentifier` `id_sigi_on` Other Name IDs for German SigI (Signature Interoperability Specification)
`static DERObjectIdentifier` `id_sigi_on_personalData` ID for PersonalData

### Field Detail

#### id_sigi

    static final DERObjectIdentifier id_sigi

#### id_sigi_kp

    static final DERObjectIdentifier id_sigi_kp

Key purpose IDs for German SigI (Signature Interoperability Specification)

#### id_sigi_cp

    static final DERObjectIdentifier id_sigi_cp

Certificate policy IDs for German SigI (Signature Interoperability Specification)

#### id_sigi_on

    static final DERObjectIdentifier id_sigi_on

Other Name IDs for German SigI (Signature Interoperability Specification)

#### id_sigi_kp_directoryService

    static final DERObjectIdentifier id_sigi_kp_directoryService

To be used for for the generation of directory service certificates.

#### id_sigi_on_personalData

    static final DERObjectIdentifier id_sigi_on_personalData

ID for PersonalData

#### id_sigi_cp_sigconform

    static final DERObjectIdentifier id_sigi_cp_sigconform

Certificate is conform to german signature law.